summaryrefslogtreecommitdiffstats
path: root/academic/vCAPS_coevolution/vCAPS_coevolution.SlackBuild
diff options
context:
space:
mode:
Diffstat (limited to 'academic/vCAPS_coevolution/vCAPS_coevolution.SlackBuild')
-rw-r--r--academic/vCAPS_coevolution/vCAPS_coevolution.SlackBuild21
1 files changed, 12 insertions, 9 deletions
diff --git a/academic/vCAPS_coevolution/vCAPS_coevolution.SlackBuild b/academic/vCAPS_coevolution/vCAPS_coevolution.SlackBuild
index 9b000762b1..f00aea698e 100644
--- a/academic/vCAPS_coevolution/vCAPS_coevolution.SlackBuild
+++ b/academic/vCAPS_coevolution/vCAPS_coevolution.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for vCAPS_coevolution
-# Copyright 2020-2021 Petar Petrov slackalaxy@gmail.com
+# Copyright 2020-2022 Petar Petrov slackalaxy@gmail.com
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=vCAPS_coevolution
-VERSION=${VERSION:-2.0_1UN}
+VERSION=${VERSION:-2.0_2UN}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -42,9 +42,6 @@ if [ -z "$ARCH" ]; then
esac
fi
-# If the variable PRINT_PACKAGE_NAME is set, then this script will report what
-# the name of the created package would be, and then exit. This information
-# could be useful to other scripts.
if [ ! -z "${PRINT_PACKAGE_NAME}" ]; then
echo "$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.$PKGTYPE"
exit 0
@@ -68,7 +65,6 @@ else
LIBDIRSUFFIX=""
fi
-# This is needed for vCAPS to find its libraries at runtime. Thanks Urchlay!
LIBDIRPATH="-Wl,-rpath,/usr/lib${LIBDIRSUFFIX}/Bpp1.9"
set -e
@@ -87,7 +83,7 @@ find -L . \
-o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
# This is needed for gcc in Slackware 14.2
-sed -i "s:CC=g++ -g:CC=g++ -g -std=c++11:" Makefile
+sed -i "s:CC=g++ -g:CC=g++-5 -g -std=c++11:" Makefile
# Use our CFLAGS and the custom (legacy) lib path
sed -i "s:CFLAGS=:CFLAGS=$SLKCFLAGS $LIBDIRPATH:" Makefile
@@ -101,14 +97,21 @@ sed -i "s:-lbpp-seq:-L/usr/lib64${LIBDIRSUFFIX}/Bpp1.9 -lbpp-seq:g" Makefile
# Rename the produced executable
sed -i "s:-o caps:-o $BINNAM:" Makefile
-# Use our unofficial patch
-patch -p1 -i $CWD/caps_verbose.patch
+# Use our patches
+patch -p1 -i $CWD/01_caps_verbose.patch
+patch -p1 -i $CWD/02_caps_sort_input.patch
+
+# we already specified g++-5 above, so no need for this
+#source /etc/profile.d/gcc5.sh
make all
# Install the binary produced from our patched source, as "vCAPS"
install -D -m755 $BINNAM $PKG/usr/bin/$BINNAM
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
mkdir -p $PKG/usr/share/$PRGNAM
cp -a sample structures trees TLR1.fa.out $PKG/usr/share/$PRGNAM